DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Abs

Arithmetic function

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_Abs ( in, out )

## DATA TYPES

binary, integer, integer, float, complex

## FUNCTION

Computes the absolute value of the input image values.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output

## SEE ALSO

`Ceil`, `Floor`, `Sign`, `Truncate`, `Fraction`, `NearestInt`

DIPlib on-line documentation | Function reference | Global function index